Webhooks and Callbacks
Query webhook requests
Returns every webhook attempt associated with the specified transaction. Optional query parameters let you filter by endpoint, event type, status, or HTTP response code.
GET
/
v1.1
/
transactions
/
{transactionUUID}
/
webhook
Query webhook requests
curl --request GET \
--url https://api.paymee.com.br/v1.1/transactions/{transactionUUID}/webhook \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-token: <x-api-token>'import requests
url = "https://api.paymee.com.br/v1.1/transactions/{transactionUUID}/webhook"
headers = {
"x-api-key": "<x-api-key>",
"x-api-token": "<x-api-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-api-token': '<x-api-token>'}
};
fetch('https://api.paymee.com.br/v1.1/transactions/{transactionUUID}/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "success",
"notifications": [
{
"date": "2019-02-12 16:59:12",
"endpoint": "https://foo.bar/paymeeListener",
"eventType": "PAYMENT_CONFIRMATION",
"status": "SUCCESS",
"responseCode": 200,
"request": {
"headers": {
"Content-type": "application/json"
},
"payload": "{\"saleToken\":\"{transactionUUID}\",\"referenceCode\":\"01992211212782433139\",\"currency\":\"BRL\",\"amount\":11.00,\"shopper\":{\"fullName\":\"JOHN DOE\",\"firstName\":\"JHON\",\"lastName\":\"DOE\",\"email\":\"foo@bar.com\",\"cpf\":\"00000000000\"},\"date\":\"2019-02-12 17:29:33\",\"newStatus\":\"PAID\"}"
},
"response": {
"headers": {
"Content-Length": "0"
},
"body": "ok"
}
}
]
}{
"status": -1,
"message": "field validation failure",
"errorCount": 1,
"errors": [
{
"field": "eventType",
"message": "invalid value"
}
]
}{
"errorCount": 1,
"errors": [
{
"error": "Forbidden",
"message": "Access Denied"
}
],
"message": "field validation failure",
"status": -1
}{
"status": 998,
"message": "transaction not found",
"errorCount": 1,
"errors": [
{
"field": "transactionUUID",
"message": "A transação informada não existe."
}
]
}Headers
Example:
"your-x-api-key"
Example:
"your-x-api-token"
Path Parameters
Transaction UUID
Query Parameters
Filter by requested endpoint
Maximum string length:
255Webhook event type
Available options:
PAYMENT_CONFIRMATION, REFUND_PAID, REVERSAL_CREATE, REVERSAL_PAID Webhook request status
Available options:
SUCCESS, HTTP_STATUS_NOT_EQUALS_200, HTTP_REQUEST_TIMEOUT HTTP status code returned by endpoint
Required range:
x <= 999Previous
Request a webhook redeliverTriggers a new delivery attempt for the webhooks of a **SALE** transaction whose payment status is **PAID**.
Next
⌘I
Query webhook requests

